import React, { Fragment } from 'react'
import { Field } from 'redux-form'

import { Files, FormItems } from 'pubsweet-components-faraday/src/components'

import { Empty } from './'

const { Err, Row, Label, Title, RowItem, Subtitle } = FormItems

const StepThree = ({ version, project, filesError }) => (
  <Fragment>
    <Title>3. Manuscript Files Upload</Title>
    <Subtitle>
      Drag & Drop files in the specifitc section or click + to upload. You can
      also drag items to a different section.
    </Subtitle>
    <Row>
      <RowItem vertical>
        <Label>Files</Label>
        <Field component={Empty} name="files" />
        <Files parentForm="submission" project={project} version={version} />
        {filesError && <Err align="left">{filesError}</Err>}
      </RowItem>
    </Row>
  </Fragment>
)

export default StepThree
